﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Syncfusion.SfCalendar.XForms;
using Xamarin.Forms;

namespace CalendarSample124540
{
    public partial class Page1 : ContentPage
    {
        public Page1()
        {
            InitializeComponent();
            SfCalendar sfcalendar = new SfCalendar();
            sfcalendar.ViewMode = ViewMode.MonthView;
            MonthViewSettings settings = new MonthViewSettings();
            settings.CurrentMonthTextColor = Color.Maroon;
            settings.DisabledTextColor = Color.Black;
            sfcalendar.MonthViewSettings = settings;
            sfcalendar.OnDrawMonthCell += sfcalendar_OnDrawMonthCell;
            this.Content = sfcalendar;
        }

        void sfcalendar_OnDrawMonthCell(object sender, MonthCell args)
        {
            //Change the specific date's background and text color

            if(args.Date.Date.Equals(new DateTime(2016,6,3)))
            {
                args.BackgroundColor = Color.Aqua;
                args.TextColor = Color.Green;
            }
        }
    }
}
